Subject: bug#21829: guix import hackage failures

From: Federico Beffa <[email-masked]>
Date: Thu, 12 Nov 2015 17:54:48 +0100

On Thu, Nov 12, 2015 at 10:07 AM, Ludovic Courtès <[email-masked]> wrote:
> Federico Beffa <[email-masked]> skribis:
> I wonder if it wouldn’t be easier to change the lexer to recognize line
> feeds are white space or newlines, maybe along these lines:

What you suggest is not enough. You have to tweak a couple of other
places as well.

I don't like having to mess around in token recognition code to
account for different eol styles. With my proposal I was trying to
abstract this away and make the eol style problem orthogonal to
parsing: first we convert to a "normal form" and then we operate on
it.  Should we find some files in 'mac' eol-style (in Emacs parlance)
then it would be trivial to adapt.

Could you be more explicit about what you do not like about this?

Regards,
Fede